# 基础镜像
FROM python:3.8

# 作者 （需要修改）
LABEL author="lm"  


# 环境变量参数
ENV TZ="Asia/Shanghai"
ENV PYTHONPATH="/"

# 安装用到的python 第三方库 （需要修改)
RUN pip install -i https://pypi.tuna.tsinghua.edu.cn/simple \
    sqlalchemy \
    pandas==1.3.4 \
    pymysql apscheduler \
    scipy \
    cryptography \
    numpy==1.20.3 \
    requests

#RUN rm -r /usr/bin
#RUN rm -r /bin

# 配置算法路径 （需要修改）
ARG ALGO_PATH=LIB/MIDDLE/AlgoDemo/Demo/V_1_0_0/


# 复制文件文件到 容器
ADD LIB/BACKEND/ /LIB/BACKEND
ADD ${ALGO_PATH}/ /${ALGO_PATH}/
WORKDIR ${ALGO_PATH}/Main/

CMD ["python", "main.py"]